+ Start a Discussion
SfdcMaxSfdcMax 

Issue while running the Data Loader 37.0 from command line

Hi Folks,

I have been facing issue with the new data loader version 37.0. I have been running data loader via the command line for data loader version 24.0 which was running fine, but we need to upgrade the data loder version to be compatible with TL1.1 and above, I am upgrading the data loader. But, even after doing the required changed, I get some random errors when try to run the batch from command line. Can any one have done the new data loder version command line and share what all problem came in and solution?

My .bat file is something like this:

@echo on
"C:\Program Files (x86)\salesforce.com\Data Loader\Java\bin\java.exe" -cp "C:\Program Files (x86)\salesforce.com\Data Loader\dataloader-37.0.0-uber.jar" -Dsalesforce.config.dir="D:\Backup\conf" com.salesforce.dataloader.process.ProcessRunner process.name=siebeldata
"C:\Program Files (x86)\salesforce.com\Data Loader\Java\bin\java.exe" -cp "C:\Program Files (x86)\salesforce.com\Data Loader\dataloader-37.0.0-uber.jar" -Dsalesforce.config.dir="D:\Backup\conf" com.salesforce.dataloader.process.ProcessRunner process.name=siebeldataOpptyNoContacts
@Pause
:end

and I get the below error:

Runner process.name=siebeldataOpptyNoContacts
on in thread "main" java.lang.UnsupportedClassVersionError: com/salesforce/dataloader/process/ProcessRunner : Un
ed major.minor version 52.0

Can anyone help here? Thanks in advance..

​Kind regards,